/*Cutting guide generator to create hose guides for the spiral cutter
   Written by Kakiemon @ Thingiverse
   Rolf Jethon
   Licensed under the GPL v3 Terms and conditions.    
*/

hosediameter=12;//[1:.1:35]
wallthick=3;//[1:.1:6]
$fn=60;

difference(){
 union(){
  translate([hosediameter/2+3,0,0])
  cube([10,10,50],center=true);
  cylinder(h=50,d=hosediameter+2*wallthick,center=true);
 }    
 cylinder(h=51,d=hosediameter,center=true);
 translate([hosediameter/2+5,0,-10])
 rotate([0,90,0])
 cylinder(h=12,d=3.2,center=true);
 translate([hosediameter/2+5,0,18])
 rotate([0,90,0])
 cylinder(h=12,d=3.2,center=true); 
} 